Loading...
Searching...
No Matches
ARC_Config Struct Reference

## Data Fields

ARC_Hashtable * | currgroup
ARC_Hashtable * | groups
ARC_Hashtable * | keys

## Detailed Description

Definition at line 13 of file config.c.

## Field Documentation

## currgroup

ARC_Hashtable* ARC_Config::currgroup

Definition at line 14 of file config.c.

Referenced by ARC_Config_Create(), ARC_Config_Get(), ARC_Config_LoadFromKey(), ARC_Config_Recurse(), ARC_Config_SetGroup(), and ARC_Config_UnloadFromKey().

## groups

ARC_Hashtable* ARC_Config::groups

Definition at line 16 of file config.c.

Referenced by ARC_Config_CreateGroup(), ARC_Config_Destroy(), and ARC_Config_SetGroup().

## keys

ARC_Hashtable* ARC_Config::keys

Definition at line 17 of file config.c.

Referenced by ARC_Config_AddKey(), ARC_Config_AddKeyCString(), ARC_Config_Destroy(), and ARC_Config_LoadFromKey().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/config.c